org.codehaus.plexus.configuration

## Class PlexusConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.configuration.PlexusConfigurationException

All Implemented Interfaces:
  Serializable

    public class PlexusConfigurationException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlexusConfigurationException(String message)`
`PlexusConfigurationException(String message, Throwable throwable)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlexusConfigurationException

    public PlexusConfigurationException(String message)

#### PlexusConfigurationException

    public PlexusConfigurationException(String message,
                                Throwable throwable)